package com.ruoyi.programManagement.entity.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 行政区划书请求类
 */
@Data
@ApiModel("首页请求类")
public class BPlanEnterPriseTreeResponse {



    /**
     * 所在县（市，区）
     */
   @ApiModelProperty("所在县（市，区）")
    private String institutionName;


    /**
     *  执法计划数量
     */
    @ApiModelProperty("执法计划数量")
    private Integer plannedEnterpriseCount;

    /**
     *  完成执法数量
     */
    @ApiModelProperty("完成执法数量")
    private Integer checkEnterpriseCount;

    /**
     *  百分比
     */
    @ApiModelProperty("百分比")
    private double pt;


//    private List<BPlanEnterPriseTreeResponse> children;
//
//
//    public BPlanEnterPriseTreeResponse(String county, String subdistrict) {
//        this.county = county;
//        this.subdistrict = subdistrict;
//        this.children = new ArrayList<>();
//    }
//
//    public void addChild(BPlanEnterPriseTreeResponse childDto) {
//        this.children.add(childDto);
//    }
}
