package com.ruoyi.programManagement.entity.request;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

/**
 * 执法结果企业详情 请求类
 */
@Data
public class checkResultRequest {

    /**
     * 计划年份
     */
    @ApiModelProperty(value = "计划年份")
    private  String plannedYear;


    /**
     * 行政区划
     */
    @ApiModelProperty(value = "行政区划")
    private  String district;


    /**
     * 检查状态
     */
    @ApiModelProperty(value = "检查状态 1=已检查，2=未检查")
    private  Integer checkStatus;
    /**
     * size
     */
    @ApiModelProperty("size")
    private int pageSize;


    /**
     * num
     */
    @ApiModelProperty("num")
    private int pageNum;

}
